TestsId
Get full test details by id.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using Bearer scheme
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
curl -X GET "https://api.speaknode.com/api/Tests/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"type": "Simulation",
"seed_messages": [
{
"role": "System",
"content": "string",
"kind": "Message",
"id": "string",
"created_at": "2019-08-24T14:15:22Z",
"interrupted": true,
"metrics": {
"started_speaking_at": "2019-08-24T14:15:22Z",
"stopped_speaking_at": "2019-08-24T14:15:22Z",
"transcription_delay": 0,
"end_of_turn_delay": 0,
"on_user_turn_completed_delay": 0,
"llm_node_ttft": 0,
"tts_node_ttfb": 0,
"e2e_latency": 0,
"transcript_confidence": 0
},
"tool_name": "string",
"tool_call_id": "string",
"tool_arguments_json": "string",
"tool_output": "string",
"tool_is_error": true,
"handoff_to_agent_id": "string",
"instructions": "string",
"tools_added": [
"string"
],
"agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
"llm_version_id": "1d21b241-019c-4728-b926-7ecf28933f38",
"stt_version_id": "38162d5a-3146-438e-b215-0c721d25e833",
"tts_version_id": "aad6f46f-8386-44a5-9274-36667c335b9f",
"vad_version_id": "720305a6-710f-4800-b65f-0435408481c6"
}
],
"simulated_user_scenario": "string",
"success_criteria": "string",
"max_conversation_turns": 0,
"mock_all_tools": true,
"simulated_user_model_version_id": "c50a5fdf-3875-41c9-8ee3-86bfef0f145c",
"simulated_user_model_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"version": "string",
"name": "string",
"description": "string",
"is_active": true,
"is_recommended": true,
"model": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"code": "string",
"name": "string",
"allow_temperature": true,
"allow_speed": true,
"model_type_code": "string"
},
"author": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"code": "string",
"name": "string"
},
"gateway": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"code": "string",
"name": "string"
}
},
"conversation_evaluation_model_version_id": "855f6452-882d-4084-a371-2b8aaa1b49b3",
"conversation_evaluation_model_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"version": "string",
"name": "string",
"description": "string",
"is_active": true,
"is_recommended": true,
"model": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"code": "string",
"name": "string",
"allow_temperature": true,
"allow_speed": true,
"model_type_code": "string"
},
"author": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"code": "string",
"name": "string"
},
"gateway": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"code": "string",
"name": "string"
}
},
"dynamic_variables": {
"property1": "string",
"property2": "string"
},
"space_id": "22cc9270-58a2-4d80-a821-13400b6090e1",
"created_by_id": "9377d689-01fb-4abf-8450-3368d2c1924f",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}